package yrpg.slm.pc.plugin.operate;

import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.args.EndOperationTransactionArgs;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;
import kd.sdk.plugin.Plugin;

import java.util.Date;

/**
 * 单据操作插件:
 * 基础资料制单信息审核插件，点击审核按钮后带出审核人和审核时间
 *
 * @author wudi
 */
public class BaseDataAuditOpPlugin extends AbstractOperationServicePlugIn implements Plugin {
    @Override
    public void endOperationTransaction(EndOperationTransactionArgs e) {
        long currUserId = RequestContext.get().getCurrUserId();
        //根据用户id查询对象
        DynamicObject user = BusinessDataServiceHelper.loadSingle(currUserId, "bos_user");
        DynamicObject[] dataEntities1 = e.getDataEntities();
        //遍历，设置值
        for (DynamicObject dynamicObject : dataEntities1) {

            dynamicObject.set("yrpg_auditor", user);//审核人
            dynamicObject.set("yrpg_auditdate", new Date());//审核时间

        }
        SaveServiceHelper.save(dataEntities1);
    }
}