package yrpg.slm.pc.plugin.operate;

import kd.bos.base.AbstractBasePlugIn;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.field.BasedataEdit;
import kd.bos.form.field.events.BeforeF7SelectEvent;
import kd.bos.form.field.events.BeforeF7SelectListener;
import kd.bos.list.ListShowParameter;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;


import java.util.EventObject;

/**
 * 人员定岗表过滤插件
 * 根据销售队伍过滤出岗位、级别和档位
 * @author 吴迪
 * @date 2024 5-10
 */
public class MoudelPplBasePlugin extends AbstractBasePlugIn implements BeforeF7SelectListener {
    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        //基础资料添加beforef7Select事件监听
        BasedataEdit jobid = this.getControl("yrpg_jobid");
        jobid.addBeforeF7SelectListener(this);
        BasedataEdit joblevelid = this.getControl("yrpg_joblevelid");
        joblevelid.addBeforeF7SelectListener(this);
        BasedataEdit gearid = this.getControl("yrpg_gearid");
        gearid.addBeforeF7SelectListener(this);
    }
    public void beforeF7Select(BeforeF7SelectEvent paramBeforeF7SelectEvent) {
                //获取销售队伍
                DynamicObject salesteam=(DynamicObject) this.getModel().getValue("yrpg_salesteam");
                Long salesteamId = salesteam.getLong("id");
                // 生成过滤条件对象QFilter
                QFilter qFilter = new QFilter("yrpg_businessline.id", QCP.equals, salesteamId);
                // 设置F7列表数据过滤条件
                ListShowParameter showParameter = (ListShowParameter) paramBeforeF7SelectEvent.getFormShowParameter();
                showParameter.getListFilterParameter().getQFilters().add(qFilter);
    }
}

